//----------------------SETTING-GRID-GLOBAL-LAYOUT-FILE--------------------//

//GRID SYSTEM
/*************/

//Display
.gd {
    display: grid;
}

//Gutters
$gutters: $grid-gutters;
@each $dimension in $gutters {
    .gd-gap-#{$dimension} {
        grid-gap: #{$dimension}px;
    }
}

@each $dimension in $gutters {
    .gd-row-gap-#{$dimension} {
        grid-row: #{$dimension}px;
    }
}

.gd-item-mw-0 {
    min-width: 0; // trix for grid items that overflow there continers
}

//Definition numbers of items on brake
$max-columns: $grid-columns;
$gd-sizes: $grid-sizes;
@each $name, $size in $gd-sizes {
  @at-root {
      @if $name == 'zero' {
          @for $i from 1 through $max-columns {
              .gd-#{to-lower-case($size)}-#{$i} {
                  grid-template-columns: repeat($i, 1fr);
              }
          }
      } @else {
          @include mq($name) {
              @for $i from 1 through $max-columns {
                  .gd-#{to-lower-case($size)}-#{$i} {
                      grid-template-columns: repeat($i, 1fr);
                  }
              }
          }
      }
  }
}

.gd-gapless {
    grid-gap: 0;
    row-gap: 0;
}

.gd-row-gapless {
    row-gap: 0;
}